Gtk2::MenuShell(3)

NAME
Gtk2::MenuShell - wrapper for GtkMenuShell

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  $menu_shell->activate_item ($menu_item, $force_deactivate)

•   $menu_item (Gtk2::Widget)

•   $force_deactivate (boolean)

  $menu_shell->append ($child)

•   $child (Gtk2::Widget)

  $menu_shell->cancel
Since: gtk+ 2.4

  $menu_shell->deactivate

  $menu_shell->deselect

  $menu_shell->insert ($child, $position)

•   $child (Gtk2::Widget)

•   $position (integer)

  $menu_shell->prepend ($child)

•   $child (Gtk2::Widget)

  $menu_shell->select_first ($search_sensitive)

•   $search_sensitive (boolean)

Since: gtk+ 2.2

  $menu_shell->select_item ($menu_item)

•   $menu_item (Gtk2::Widget)

  boolean = $menu_shell->get_take_focus
Since: gtk+ 2.8

  $menu_shell->set_take_focus ($take_focus)

•   $take_focus (boolean)

Since: gtk+ 2.8

PROPERTIES

'take-focus' (boolean : default true : readable / writable / private)
    A boolean that determines whether the menu grabs the keyboard focus

SIGNALS

activate-current (Gtk2::MenuShell, boolean)
cancel (Gtk2::MenuShell)
cycle-focus (Gtk2::MenuShell, Gtk2::DirectionType)
deactivate (Gtk2::MenuShell)
insert (Gtk2::MenuShell, Gtk2::Widget, integer)
move-current (Gtk2::MenuShell, Gtk2::MenuDirectionType)
boolean = move-selected (Gtk2::MenuShell, integer)
selection-done (Gtk2::MenuShell)

ENUMS AND FLAGS

  enum Gtk2::DirectionType

•   'tab-forward' / 'GTK_DIR_TAB_FORWARD'

•   'tab-backward' / 'GTK_DIR_TAB_BACKWARD'

•   'up' / 'GTK_DIR_UP'

•   'down' / 'GTK_DIR_DOWN'

•   'left' / 'GTK_DIR_LEFT'

•   'right' / 'GTK_DIR_RIGHT'

  enum Gtk2::MenuDirectionType

•   'parent' / 'GTK_MENU_DIR_PARENT'

•   'child' / 'GTK_MENU_DIR_CHILD'

•   'next' / 'GTK_MENU_DIR_NEXT'

•   'prev' / 'GTK_MENU_DIR_PREV'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.